Version (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable.format

## Class Version

- java.lang.Object
- - org.apache.cassandra.io.sstable.format.Version

-     public abstract class Version
      extends java.lang.Object

  A set of feature flags associated with a SSTable format versions are denoted as [major][minor]. Minor versions must be forward-compatible: new fields are allowed in e.g. the metadata component, but fields can't be removed or have their size changed. Minor versions were introduced with version "hb" for Cassandra 1.0.3; prior to that, we always incremented the major version.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SSTableFormat` | `format`
    `protected java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Version(SSTableFormat format, java.lang.String version)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `SSTableFormat` | `getSSTableFormat()`
    `java.lang.String` | `getVersion()`
    `abstract boolean` | `hasAllAdlerChecksums()`
    `abstract boolean` | `hasCommitLogLowerBound()`
    `int` | `hashCode()`
    `abstract boolean` | `hasNewFileName()`
    `abstract boolean` | `hasNewStatsFile()`
    `abstract boolean` | `hasRepairedAt()`
    `abstract boolean` | `hasSamplingLevel()`
    `abstract boolean` | `isCompatible()`
    `abstract boolean` | `isLatestVersion()`
    `java.lang.String` | `toString()`
    `abstract boolean` | `tracksLegacyCounterShards()`
    `static boolean` | `validate(java.lang.String ver)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### version

          protected final java.lang.String version

    - #### format

          protected final SSTableFormat format

  - ### Constructor Detail

    - #### Version

          protected Version(SSTableFormat format,
                            java.lang.String version)

  - ### Method Detail

    - #### isLatestVersion

          public abstract boolean isLatestVersion()

    - #### hasSamplingLevel

          public abstract boolean hasSamplingLevel()

    - #### hasNewStatsFile

          public abstract boolean hasNewStatsFile()

    - #### hasAllAdlerChecksums

          public abstract boolean hasAllAdlerChecksums()

    - #### hasRepairedAt

          public abstract boolean hasRepairedAt()

    - #### tracksLegacyCounterShards

          public abstract boolean tracksLegacyCounterShards()

    - #### hasNewFileName

          public abstract boolean hasNewFileName()

    - #### hasCommitLogLowerBound

          public abstract boolean hasCommitLogLowerBound()

    - #### getVersion

          public java.lang.String getVersion()

    - #### getSSTableFormat

          public SSTableFormat getSSTableFormat()

    - #### validate

          public static boolean validate(java.lang.String ver)

      Parameters:
        `ver` - SSTable version
      Returns:
        True if the given version string matches the format.
      See Also:
        `version`

    - #### isCompatible

          public abstract boolean isCompatible()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation